Last Comment Bug 668263 - Sometimes grossly inflated, sometimes no spacing in PDF output
: Sometimes grossly inflated, sometimes no spacing in PDF output
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Printing: Output (show other bugs)
: Trunk
: x86_64 Linux
: -- normal (vote)
: mozilla12
Assigned To: Stefan
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-29 10:59 PDT by Stefan
Modified: 2012-01-17 07:44 PST (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Testcase to be printed as PDF (368 bytes, text/html)
2011-06-29 10:59 PDT, Stefan
no flags Details
Testcase PDF output showing grossly inflated spacing (62.33 KB, application/pdf)
2011-06-29 11:05 PDT, Stefan
no flags Details
patch (2.64 KB, patch)
2012-01-05 17:41 PST, Stefan
jmuizelaar: review+
ajohnson: review+
Details | Diff | Review

Description Stefan 2011-06-29 10:59:13 PDT
Created attachment 542868 [details]
Testcase to be printed as PDF

User Agent:  

Steps to reproduce:

1. Opened the testcase.
2. File-Print-Print to File-Output Format PDF-Print
3. Opened mozilla.pdf.
4. Repeated 1--3 several times.

[The Question "What DID you do?" cannot be answered using present tense. Is that intentional?]


Actual results:

Sometimes there was "grossly inflated spacing (wording stolen from Bug 667242, albeit  gfx.font_rendering.harfbuzz.scripts=3) and sometimes there was no spacing at all.


Expected results:

Letters in PDF should always have been spaced correctly.
Comment 1 Stefan 2011-06-29 11:05:25 PDT
Created attachment 542869 [details]
Testcase PDF output showing grossly inflated spacing
Comment 2 Stefan 2011-06-29 11:21:19 PDT
Version used to create PDF:
Mozilla/5.0 (X11; Linux x86_64; rv:7.0a1) Gecko/20110629 Firefox/7.0a1
Comment 3 George Carstoiu 2011-07-21 08:25:01 PDT
 Mozilla/5.0 (X11; Linux i686; rv:8.0a1) Gecko/20110720 Firefox/8.0a1

Confirming issue - setting status to New.

Since when have you started seeing this problem?
Comment 4 Stefan 2011-07-21 08:39:41 PDT
> Since when have you started seeing this problem?

On 2011-06-29 but I infrequently use the browser to print to PDF.
Comment 5 Stefan 2011-08-16 14:54:31 PDT
Is this related to Bug 667242 - grossly inflated spacing in printed page when harfbuzz is disabled?
Comment 6 Stefan 2011-10-11 03:58:17 PDT
(In reply to George Carstoiu from comment #3)
> Since when have you started seeing this problem?

2011-05-26-03-mozilla-central seems to be the first version which shows this problem.
Comment 7 Stefan 2011-10-11 05:03:03 PDT
The problem occurs only with Type 1 fonts. The commit

http://hg.mozilla.org/mozilla-central/rev/db4b1f3096ea

seems to be the first which reproduces the problem.
Comment 8 Stefan 2012-01-05 10:59:16 PST
(In reply to Stefan from comment #7)
> http://hg.mozilla.org/mozilla-central/rev/db4b1f3096ea

I cannot trace back how I came to db4b1f3096ea so I did another bisection:

last good 2011-05-25-03-mozilla-central 836aa9658341
first bad 2011-05-26-03-mozilla-central 831f8e040f38

The first bad revision is:
changeset:   70170:acb4e51fa8a6
user:        Jeff Muizelaar <jmuizelaar@mozilla.com>
date:        Thu Mar 10 14:52:15 2011 -0500
summary:     Bug 562746. Update cairo to 1.10.
Comment 10 Stefan 2012-01-05 17:41:56 PST
Created attachment 586294 [details] [diff] [review]
patch
Comment 11 Jonathan Kew (:jfkthame) 2012-01-10 06:37:11 PST
Comment on attachment 586294 [details] [diff] [review]
patch

Jeff, it sounds like we should cherry-pick this from cairo.
Comment 12 Jeff Muizelaar [:jrmuizel] 2012-01-10 06:41:00 PST
Is there anyway we can get an automated test for this?
Comment 13 Jeff Muizelaar [:jrmuizel] 2012-01-16 13:04:09 PST
Comment on attachment 586294 [details] [diff] [review]
patch

Adrian, what do you think of this?
Comment 14 Jeff Muizelaar [:jrmuizel] 2012-01-16 13:48:50 PST
/me realizes Adrian wrote those patches. Sorry for the noise.
Comment 15 Jonathan Kew (:jfkthame) 2012-01-17 02:05:37 PST
Pushed to -inbound:
https://hg.mozilla.org/integration/mozilla-inbound/rev/f43cfe78a5b4
Comment 16 Marco Bonardo [::mak] 2012-01-17 07:44:49 PST
https://hg.mozilla.org/mozilla-central/rev/f43cfe78a5b4

Note You need to log in before you can comment on or make changes to this bug.